Loading...
Searching...
No Matches
ncSACache.h File Reference
`#include "polys/monomials/ring.h"`
`#include "polys/monomials/p_polys.h"`
`#include "reporter/reporter.h"`

Go to the source code of this file.

## Data Structures

class | CCacheHash< CExponent >
struct | CCacheHash< CExponent >::CCacheItem
class | CGlobalCacheHash
class | CSpecialPairCacheHash
union | CCacheHash< CExponent >::CCacheItem.a
union | CCacheHash< CExponent >::CCacheItem.b

## Variables

const int | iMaxCacheSize = 20

## Data Structure Documentation

## CCacheHash::CCacheItem

struct CCacheHash::CCacheItem

template<typename CExponent>
struct CCacheHash< CExponent >::CCacheItem

Definition at line 36 of file ncSACache.h.

Data Fields
union CCacheItem.a | a |
union CCacheItem.b | b |
int | iPairType |
long | lHits |
poly | pProduct |

## CCacheHash::CCacheItem.a

union CCacheHash::CCacheItem.a

template<typename CExponent>
union CCacheHash< CExponent >::CCacheItem.a

Definition at line 38 of file ncSACache.h.

Data Fields
CExponent | aExponent |
poly | aMonom |

## CCacheHash::CCacheItem.b

union CCacheHash::CCacheItem.b

template<typename CExponent>
union CCacheHash< CExponent >::CCacheItem.b

Definition at line 43 of file ncSACache.h.

Data Fields
CExponent | bExponent |
poly | bMonom |

## Variable Documentation

## iMaxCacheSize

const int iMaxCacheSize = 20

Definition at line 13 of file ncSACache.h.